@title DIA USB/Bew.: Auslser drcken

@param u 0=Bewegung, 1=USB
@default u 0
@param e Entfernung in mm
@default e 1100
@param z Zoomfaktor
@default z 5
@param x Minimum Bewegungen
@default x 20
@param a Anzahl Spalten
@default a 10
@param b Anzahl Zeilen
@default b 8
@param d Timeout in Sek.
@default d 10
@param i Intervall in mSekunden
@default i 100
@param f Schwellwert (0-255)
@default f 20
@param g Zellenanzeige
@default g 1
@param o Schrittweite
@default o 6
@param p Startverzgerung in Sek.
@default p 3
@param h Helligkeitsgrenze
@default h 0
@param t Belichtungszeit (ID)
@default t 12
@param s Blende (ID)
@default s 18
@param v Delta Belichtungszeit
@default v 3

rem AS AZ    TO En SW ZA HG Iv Pr Z    Bw    SW SV v     Bl BZ BU De v  mB    Zo
rem a  b  c  d  e  f  g  h  i  j  k  l  m  n  o  p  q  r  s  t  u  v  w  x  y  z


j = get_prop 5

q = 0
do
  q = q + 1
  click "left"
  sleep 200
  w = get_focus_mode
  print "FM = ";w
  if w > 0 then q = 22
until q > 20
sleep 5000

d = d * 1000
k = 0
set_zoom  z
set_focus e
set_av s
set_tv t


:start

if u > 0 then goto "usb"

print "Erwarte Bewegung..."
q = 0
do
  m = 0
  md_detect_motion a, b, 1, d, i, f, g, m, 0, 0, 0, 0, 0, 0, o, 100
  m = m * q
  if m > 0 then
    print "Bewegung = "; m
  else
    if q > 0 then
      click "right"
      playsound 6
    endif
  endif
  q = 1
until m > x
goto "foto"




:usb
print "Erwarte Stop"
q = 0
do
  w = get_usb_power
  if w < 1 then q = q + 1
until q > 20
print "Erwarte Impuls..."
q = 0
do
  w = get_usb_power
  if w < 0 then w = 0
  q = q + w
until q > 1




:foto
print "Warte ";p;" Sek."
sleep p * 1000
set_prop 5 0
sleep 200
press "shoot_half"
do
until get_shooting > 0
q = get_bv96
release "shoot_half"
sleep 200
set_prop 5 j
sleep 200
if q < h then
  print "kein Bild in Sicht!"
  goto "start"
endif

set_av s
set_tv t
shoot
set_tv t - v
shoot
set_tv t + v
shoot
set_tv t

k = k + 1
q = k / 36
w = k - q * 36
print q;" Magazine, ";w;" Bilder"
print " "

goto "start"

end
